package org.gidea.scada.monitor.mqtt.handler;

import com.alibaba.fastjson.JSONObject;
import com.rabbitmq.client.Channel;
import org.gidea.scada.monitor.utils.Constants;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.IOException;

@Component
public class MqttHandler {
    @Resource
    private Channel channel;

    public void handler(String message) {
        JSONObject msg = JSONObject.parseObject(message);
        msg.put("result", "接收成功");
        try {
            channel.basicPublish(Constants.MonitorClientExchangeName,"",null, msg.toString().getBytes("UTF-8"));
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    ;
}
